Skip to main content
`Ctrl`+`K`

# DMCompositeGetLocalVectors

Gets local vectors for each part of a `DMCOMPOSITE` Use `DMCompositeRestoreLocalVectors()` to return them.

## Synopsis

    #include "petscdmcomposite.h"
    PetscErrorCode DMCompositeGetLocalVectors(DM dm, ...)

Not Collective; No Fortran Support

## Input Parameter

- dm - the `DMCOMPOSITE` object

## Output Parameter

- … - the individual sequential `Vec`s

## See Also

`DMCOMPOSITE`, `DM`, `DMDestroy()`, `DMCompositeAddDM()`, `DMCreateGlobalVector()`, `DMCompositeGather()`, `DMCompositeCreate()`, `DMCompositeGetISLocalToGlobalMappings()`, `DMCompositeGetAccess()`, `DMCompositeRestoreLocalVectors()`, `DMCompositeScatter()`, `DMCompositeGetEntries()`

## Level

advanced

## Location

src/dm/impls/composite/pack.c

## Examples

src/snes/tutorials/ex21.c
src/snes/tutorials/ex22.c
src/ts/tutorials/ex14.c
src/snes/tutorials/ex28.c

Index of all DMComposite routines
Table of Contents for all manual pages
Index of all manual pages